aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin
diff options
context:
space:
mode:
authorYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-10-07 14:00:03 +0300
committerYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-10-07 14:00:03 +0300
commitd24e93fbc4d147627e99ef751b6f945a8924a14f (patch)
treea4fad63b42b0310ac49c49070d8dc46a776d05b5 /dotfiles/.local/bin
parent570ac7ec050d0a79fb46832df9a19be4da241469 (diff)
downloadswayrice-d24e93fbc4d147627e99ef751b6f945a8924a14f.tar.gz
swayrice-d24e93fbc4d147627e99ef751b6f945a8924a14f.zip
Revert "Trying out vimb as main browser"
This reverts commit a76aa8c932030a64ba277ed9a9cbeadb8dd910d2. And makes changes to adapt qutebrowser history to menuwebsurf. Sorry vimb, you are nice and I like that you are really minimal. But even though qb is written in Python, it still manages to work better than you (even though slower on startup).
Diffstat (limited to 'dotfiles/.local/bin')
-rwxr-xr-xdotfiles/.local/bin/menuwebsurf13
1 files changed, 9 insertions, 4 deletions
diff --git a/dotfiles/.local/bin/menuwebsurf b/dotfiles/.local/bin/menuwebsurf
index cb32299..9e1a7a9 100755
--- a/dotfiles/.local/bin/menuwebsurf
+++ b/dotfiles/.local/bin/menuwebsurf
@@ -6,19 +6,24 @@
. ~/.config/bemenurc
searchurl="https://srx.yaroslavps.com/search?q="
-histf="$HOME/.config/vimb/history"
# Have to use this "hack" because bemenu doesn't know how to paste
if [ "$1" = "paste" ]; then
prompt="$(wl-paste)"
else
- prompt="$(cat "$histf")"
+ qmarks="$HOME/.config/qutebrowser/quickmarks"
+ hist="$HOME/.local/share/qutebrowser/history.sqlite"
+ prompt="$(sqlite3 -separator ' ' "$hist" \
+ 'select title, url from CompletionHistory' |
+ cat "$qmarks" -)"
fi
-choice=$(printf "%s" "$prompt" | bemenu -i -l 25 -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
+choice=$(printf "%s" "$prompt" |
+ bemenu -i -l 25 -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
if echo "$choice" | egrep ".*://.*" >/dev/null 2>&1; then
- choice="$(echo "$choice" | cut -f 1)"
+ choice="$(echo "$choice" | sed -E 's/[^ ]+ +//g' |
+ grep -E "https?:" || echo "$choice")"
mimeo "$choice"
else
$BROWSER "$choice"